GSS_IMPORT_SEC_CONTEXT(3)

NAME
gss_import_sec_context - Import a transferred context

SYNOPSIS
#include <gssapi/gssapi.h>
OM_uint32
gss_import_sec_context(OM_uint32 *minor_status, const gss_buffer_t interprocess_token, gss_ctx_id_t *context_handle);

DESCRIPTION
Allows a process to import a security context established by another process. A given interprocess token may be imported only once. See gss_export_sec_context().

PARAMETERS

minor_status
    Mechanism specific status code.

interprocess_token
    Token received from exporting process.

context_handle
    Context handle of newly reactivated context. Resources associated with this context handle must be released by the application after use with a call to gss_delete_sec_context().

RETURN VALUES

GSS_S_COMPLETE
    Successful completion

GSS_S_NO_CONTEXT
    The token did not contain a valid context reference

GSS_S_DEFECTIVE_TOKEN
    The token was invalid

GSS_S_UNAVAILABLE
    The operation is unavailable

GSS_S_UNAUTHORIZED
    Local policy prevents the import of this context by the current process

SEE ALSO
gss_export_sec_context(3), gss_delete_sec_context(3)

STANDARDS

RFC 2743
    Generic Security Service Application Program Interface Version 2, Update 1

RFC 2744
    Generic Security Service API Version 2 : C-bindings

HISTORY
The gss_import_sec_context function first appeared in FreeBSD 7.0.

AUTHORS
John Wray, Iris Associates

COPYRIGHT
Copyright (C) The Internet Society (2000). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to the Internet Society or other Internet organizations, except as needed for the purpose of developing Internet standards in which case the procedures for copyrights defined in the Internet Standards process must be followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by the Internet Society or its successors or assigns.

This document and the information contained herein is provided on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.